[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Interface: EngineLifecycleListener

Interface for listening to Flutter engine lifecycle events.

## Methods

### onEngineWillDestroy()

> **onEngineWillDestroy**(): `void`

Called when the engine is about to be destroyed.

#### Returns

`void`

***

### onPreEngineRestart()

> **onPreEngineRestart**(): `void`

Called before the engine restarts.

#### Returns

`void`
